Bug 522169 - Review Request: netplug - Daemon that responds to network cables being plugged in and out
Summary: Review Request: netplug - Daemon that responds to network cables being plugge...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 521326
TreeView+ depends on / blocked
 
Reported: 2009-09-09 16:17 UTC by Jiri Popelka
Modified: 2014-04-10 15:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-29 08:08:26 UTC
dan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jiri Popelka 2009-09-09 16:17:30 UTC
Spec URL: http://jpopelka.fedorapeople.org/netplug.spec
SRPM URL: http://jpopelka.fedorapeople.org/netplug-1.2.9.1-1.src.rpm
Description:
Netplug is a daemon that manages network interfaces in response to
link-level events such as cables being plugged in and out.  When a
cable is plugged into an interface, the netplug daemon brings that
interface up.  When the cable is unplugged, the daemon brings that
interface back down.

Up to now netplug has been part of net-tools package.
See. Bug #521326

If the reviewer wants to install rebuilt netplug package,
he needs to update net-tools to this version first.
http://jpopelka.fedorapeople.org/net-tools-1.60-96.src.rpm
This will be the first version of net-tools without netplug.

Comment 1 Dan Horák 2009-09-25 09:05:28 UTC
formal review is here, see the notes below:

OK	source files match upstream:
	    38ce1ae1815a74d6ab3e7ee0e034714267456d16  netplug-1.2.9.1.tar.bz2
OK	package meets naming and versioning guidelines.
OK*	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
Ok	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK*	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- %{_initddir} is the preferred variant of the macro, works on F-10+
- rpmbuild takes care of buildroot

This package is APPROVED.

Comment 2 Jiri Popelka 2009-09-25 10:12:52 UTC
New Package CVS Request
=======================
Package Name: netplug
Short Description: Daemon that responds to network cables being plugged in and out
Owners: jpopelka

Comment 3 Kevin Fenzi 2009-09-25 16:14:34 UTC
cvs done.

Comment 4 Jiri Popelka 2014-04-10 14:27:10 UTC
Package Change Request
======================
Package Name: netplug
New Branches: el6
Owners: jpopelka

I've been kindly asked to include netplug in EPEL-6.

Comment 5 Gwyn Ciesla 2014-04-10 15:11:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.